Subject: Re: bug#67736: 30.0.50; emacsclient.desktop fails with quoting-related error

From: Mekeor Melire <[email-masked]>
Date: Mon, 18 Dec 2023 12:14:01 +0000

2023-12-18 11:17 [email-masked]:

> > Honestly, I don't know how to handle this tricky situation:
> > freedesktop.org has specification for Exec entries in .desktop-files.
> > xdg-utils itself does implement this specification correctly.
>
> Is a "not" missing there? Otherwise I don't understand the sentence.

You are right, a "not" was missing.

> Standards exist for a reason, namely that developers can program
> against them, instead of second-guessing other implementations.
>
> I think we have established that the bug is in xdg-utils, so that's
> where it should be ultimately fixed. Not sure if it's worth having a
> short-term workaround using a wrapper script.

You are right. Let's close this bug. It's an upstream-bug.